Download it now!
Bug 131088 - Automatic Control Focus not working in gen
Summary: Automatic Control Focus not working in gen
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-03 12:12 UTC by Xisco Faulí
Modified: 2020-03-11 09:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (9.48 KB, application/vnd.oasis.opendocument.text)
2020-03-03 12:12 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-03-03 12:12:06 UTC
Created attachment 158337 [details]
sample file

Steps to reproduce:
1. Open attached document with SAL_USE_VCLPLUGIN=gen
2. Select all

-> Text in first form should be selected. Instead, the paragraphs outside the forms are selected

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 950e1aec0a984ce40a5038331f491272b51d41fa
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-03-03 12:13:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a361231b1363d072d737e9b1d411b71aa9550d84

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-05-10 10:13:12 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-05-13 08:15:27 +0200
commit	a361231b1363d072d737e9b1d411b71aa9550d84 (patch)
tree	08641fe2af10c1f22c7fd58e62f99b6dbe301c62
parent	ce76026231d9536d2025a1e69f435bcbf39fe4f8 (diff)
fix wrong SET/QUERY flags passed to uno::Reference

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 2 Xisco Faulí 2020-03-03 12:14:26 UTC
The property can be changed from Form - Automatic Control Focus
Comment 3 Commit Notification 2020-03-10 19:11:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17c467a66d799bda88d6cdb84b7fecbbd7d1fdf5

tdf#131088 Automatic Control Focus not working

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-03-11 08:54:08 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: dde0cf9eafed91c88d9999a294ea32fe0e8aa4bc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-03-11 09:52:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b763182b715ba7eae81282969fb1bd8e0e7a001c

tdf#131088 Automatic Control Focus not working

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-03-11 09:53:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/05166fa824b09c6fa094b3596ebe9de2d7b9fe92

tdf#131088 Automatic Control Focus not working

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.